using Ktyl.Util;
using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EventHandler : MonoBehaviour
{
    public static EventHandler current;

    private void Awake()
    {
        current = this;
    }

    public event Action<int> onArtefactPickUp;
    public void ArtefactPickUp(int id)
    {
        if (onArtefactPickUp != null)
        {
            onArtefactPickUp(id);
        }
    }

    public event Action onArtefactUI;

    public void ArtefactUI()
    {
        onArtefactUI();
    }

}
